import request from '@/utils/request'

// 查询购物车列表
export function listStoreCart(query) {
  return request({
    url: '/store/store/storeCart/list',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getStoreCart(id) {
  return request({
    url: '/store/store/storeCart/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addStoreCart(data) {
  return request({
    url: '/store/store/storeCart',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateStoreCart(data) {
  return request({
    url: '/store/store/storeCart',
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delStoreCart(id) {
  return request({
    url: '/store/store/storeCart/' + id,
    method: 'delete'
  })
}

// 导出购物车
export function exportStoreCart(query) {
  return request({
    url: '/store/store/storeCart/export',
    method: 'get',
    params: query
  })
}
